
%global meadversion 2.3.0
%global namedversion 2.3.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package ws-commons-XmlSchema} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%global short_name xmlschema


%define maven_version 2.3.0.redhat-00001

Name:           %{?scl_prefix}ws-commons-XmlSchema
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XmlSchema Object Model
License:        ASL 2.0
URL:            http://ws.apache.org/commons/XmlSchema/
Group:          Development/Java

%if %with mead
Source100: xmlschema-2.3.0.redhat-00001-project-sources.tar.gz
Source102: xmlschema-walker-2.3.0.redhat-00001-sources.jar
Source103: xmlschema-core-2.3.0.redhat-00001.pom
Source104: xmlschema-core-2.3.0.redhat-00001-javadoc.jar
Source105: xmlschema-walker-2.3.0.redhat-00001.jar
Source106: xmlschema-2.3.0.redhat-00001-site.xml
Source107: xmlschema-walker-2.3.0.redhat-00001-javadoc.jar
Source108: xmlschema-2.3.0.redhat-00001.pom
Source109: xmlschema-core-2.3.0.redhat-00001-sources.jar
Source110: xmlschema-core-2.3.0.redhat-00001.jar
Source111: xmlschema-walker-2.3.0.redhat-00001.pom
%endif


BuildArch:      noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
XMLSchema is a lightweight schema object model that can be 
used to manipulate and generate XML schema representations. 
It has very few external dependancies and can be easily 
integrated into an existing project.

%if %with javadoc
%package javadoc
Summary:        Javadoc for ws-commons-XmlSchema
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n xmlschema-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

%{__cp} -p %{_sourcedir}/xmlschema-core-%{namedversion}.jar \
               $RPM_BUILD_ROOT%{_javadir}/xmlschema-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xmlschema-core-%{namedversion}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/xmlschema-core-%{namedversion}-sources.jar

# create unprefixed and unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}
ln -sf xmlschema-core-%{namedversion}.jar xmlschema-core.jar
)

%if %with javadoc
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{short_name}-core-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{short_name}-core-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{short_name}-core-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{short_name}-core-%{namedversion}/META-INF

%{__ln_s} %{short_name}-core-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{short_name}-core # ghost symlink
%{__ln_s} %{short_name}-core-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
%{__ln_s} %{name}-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{short_name}-core-%{namedversion}
%{_javadocdir}/%{short_name}-core
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Fri Jul 29 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.3.0-1.redhat_00001.1
- Built by CPaaS



* Fri Jul 29 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.2.5-2.redhat_00001.1
- Built by CPaaS

